Get inventory attribute by code - Fabric

Get inventory attribute by code

cURL

curl --request GET \
  --url https://prod01.oms.fabric.inc/api/v2/inventory/attribute/{code} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'

Python

import requests

url = "https://prod01.oms.fabric.inc/api/v2/inventory/attribute/{code}"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'GET',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://prod01.oms.fabric.inc/api/v2/inventory/attribute/{code}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




HTTP Status Codes

Response Examples

{
  "id": "622786ae0bdb19221a24fb61",
  "code": "on-hand"
}
{
  "message": "Invalid request payload or parameter"
}
{
  "message": "Resource not found. If the issue persists please contact support@fabric.inc."
}
{
  "message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}

Authorizations

Headers

Path Parameters

Response

200 Response